### Function

# Gtk.accelerator_name_with_keycode

#### Declaration [src]

    char*
    gtk_accelerator_name_with_keycode (
      GdkDisplay* display,
      guint accelerator_key,
      guint keycode,
      GdkModifierType accelerator_mods
    )

#### Description [src]

Converts an accelerator keyval and modifier mask into a string parseable by `gtk_accelerator_parse_with_keycode()`.

This is similar to `gtk_accelerator_name()` but handling keycodes. This is only useful for system-level components, applications should use `gtk_accelerator_parse()` instead.

#### Parameters

`display` | `GdkDisplay*`
| a `GdkDisplay` or `NULL` to use the default display
| Can be `NULL`
| Ownership is not transferred to the callee
`accelerator_key` | `guint`
| accelerator keyval
`keycode` | `guint`
| accelerator keycode
`accelerator_mods` | `GdkModifierType`
| accelerator modifier mask

#### Return value

Returns: `char*`
a newly allocated accelerator name.
Ownership of the data is transferred to the caller
The string is a NUL terminated UTF-8 string